﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MultipleSfChart_127081
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

         
        }



        private void chart_MouseDown( object sender, MouseButtonEventArgs e )
        {
            Syncfusion.UI.Xaml.Charts.SfChart sfc = new Syncfusion.UI.Xaml.Charts.SfChart();


            sfc = ( sender as Syncfusion.UI.Xaml.Charts.SfChart );


            if( ( sfc.Name == chart1.Name ) || ( sfc.Name == chart2.Name ) || ( sfc.Name == chart3.Name ) )
            {
                sfc.AreaBackground = Brushes.DarkBlue; 
            }

            if( sfc.Name != chart1.Name )
            {
                chart1.AreaBackground = null;
            }
            if( sfc.Name != chart2.Name )
            {
                chart2.AreaBackground = null;
            }
            if( sfc.Name != chart3.Name )
            {
                chart3.AreaBackground = null;
            }


            chart4.Series[0].ItemsSource = sfc.Series[0].ItemsSource;





        }
    }

    public class Model
    { 
        public double xValue { get; set; }
        public double yValue { get; set; }
    }

    public class ViewModel
    {
        public ObservableCollection<Model> DataPoint1 { get; set; }
        public ObservableCollection<Model> DataPoint2 { get; set; }
        public ObservableCollection<Model> DataPoint3 { get; set; }
        
        public ViewModel()
        {
            DataPoint1 = new ObservableCollection<Model>();
            DataPoint2 = new ObservableCollection<Model>();
            DataPoint3 = new ObservableCollection<Model>();

            DataPoint1.Add( new Model() { xValue = 1, yValue = 10 } );
            DataPoint1.Add( new Model() { xValue = 2, yValue = 22 } );
            DataPoint1.Add( new Model() { xValue = 3, yValue = 14 } );
            DataPoint1.Add( new Model() { xValue = 4, yValue = 32 } );
            DataPoint1.Add( new Model() { xValue = 5, yValue = 26 } );
            DataPoint1.Add( new Model() { xValue = 6, yValue = 44 } );
            DataPoint1.Add( new Model() { xValue = 7, yValue = 26 } );
            DataPoint1.Add( new Model() { xValue = 8, yValue = 44 } );

            DataPoint2.Add( new Model() { xValue = 1, yValue = 30 } );
            DataPoint2.Add( new Model() { xValue = 2, yValue = 52 } );
            DataPoint2.Add( new Model() { xValue = 3, yValue = 64 } );
            DataPoint2.Add( new Model() { xValue = 4, yValue = 92 } );
            DataPoint2.Add( new Model() { xValue = 5, yValue = 16 } );
            DataPoint2.Add( new Model() { xValue = 6, yValue = 54 } );

            DataPoint3.Add( new Model() { xValue = 1, yValue = 12 } );
            DataPoint3.Add( new Model() { xValue = 2, yValue = 22 } );
            DataPoint3.Add( new Model() { xValue = 3, yValue = 50 } );
            DataPoint3.Add( new Model() { xValue = 4, yValue = 32 } );
            DataPoint3.Add( new Model() { xValue = 5, yValue = 96 } );
            DataPoint3.Add( new Model() { xValue = 6, yValue = 44 } );
            
        }
    }
}
